/*
	ecmdline.h -- command line parser for BSMTP client
	(C) Wouter Coene, 1999

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, write to the Free Software
	Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef ECMDLINE_H_
#define ECMDLINE_H_ 1

#define MODE_QUERY	0

#define MODE_NOMODE	1	/* don't read the configuration file when */
#define MODE_HELP	2	/* any mode above MODE_NOMODE is selected */
#define MODE_SHORTHELP	3	/* as this would be senseless.            */
#define MODE_VERSION	4
#define MODE_DEFAULTS	5

extern char *myself;

void help();
void short_help();
void short_version();
void version();
int cmdline(int argc, char *argv[]);

#ifdef CMDLINE_HAVE_DATA

extern int mode;

static struct option long_options[]=
{
	{ "help",	no_argument, &mode, MODE_HELP },
	{ "version",	no_argument, &mode, MODE_VERSION },
	{ "default",	no_argument, &mode, MODE_DEFAULTS },

	{ "query",	no_argument, &mode, MODE_QUERY },

	{ "config",	required_argument, 0, 'C' },

	{ NULL, 0, NULL, 0 }
};

#define SHORT_OPTIONS "hvDqC:"

#endif /* CMDLINE_HAVE_DATA */

#endif

/* end ecmdline.h */
